%define major 6
%define libname %mklibname upnp %{major}

%define threadutilmajor 6
%define libthreadutil %mklibname threadutil %threadutilmajor

%define ixmlmajor 2
%define libixml %mklibname ixml %ixmlmajor

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.6.15
%define subrel	1
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://pupnp.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
Patch0:		libupnp-1.6.15-VU-922681.patch

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.


%package -n %{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %mklibname upnp 0

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.


%package -n %{libthreadutil}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n %{libthreadutil}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.


%package -n %{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries
Obsoletes:      %{_lib}upnp3 < %{version}

%description -n %{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.


%package -n %{develname}
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libthreadutil} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname upnp 0 -d} < 1.6.5
Provides:       %mklibname upnp 0 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static \
    --with-documentation=%{_docdir}/%{name} \
    --enable-tools
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/libupnp.so.%{major}
%{_libdir}/libupnp.so.%{major}.*

%files -n %{libthreadutil}
%{_libdir}/libthreadutil.so.%{threadutilmajor}
%{_libdir}/libthreadutil.so.%{threadutilmajor}.*

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}
%{_libdir}/libixml.so.%{ixmlmajor}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc
%{_docdir}/%{name}


%changelog

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.6.15-1.1.mga2
+ Revision: 394767
- add upstream changes to fix VU-922681

  + kamil <kamil>
    - new version 1.6.15

  + fwang <fwang>
    - new version 1.6.13

* Tue Jan 25 2011 ahmad <ahmad> 1.6.6-4.mga1
+ Revision: 39636
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libupnp

